%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/integrii/flaggy
Version:                1.5.2

%gometa


%global common_description %{expand:
Idiomatic Go input parsing with subcommands, positional values, and flags at
any position. No required project or package layout and no external
dependencies.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Idiomatic Go input parsing library

License:        Unlicense
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.2-2
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
